<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Weather - {{title}}</title>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="/css/styles.css" />
  </head>
  <body>

    <header class="header">
      <nav
        class="navbar navbar-expand-sm navbar-light flex-sm-nowrap flex-wrap"
      >
        <div class="container-fluid">
          <button
            class="navbar-toggler flex-grow-sm-1 flex-grow-0 me-2"
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbar5"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <span class="navbar-brand flex-grow-1">Weather App</span>
          <div
            class="navbar-collapse collapse flex-grow-1 justify-content-center"
            id="navbar5"
          >
            <ul class="navbar-nav mx-auto">
              <li class="nav-item">
                <a class="nav-link" href="/">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/weather">Weather</a>
              </li>
            </ul>
          </div>
          <div class="flex-grow-1">
            <!--spacer-->
          </div>
        </div>
      </nav>
    </header>

    <main>
      {{{body}}}
    </main>

    <footer>
      <div class="footer">
        Copyright &copy; Felipe Mano | All rights reserved
      </div>
    </footer>

  </body>
</html>